module Level1
	Scale = 80
	Segs = [
		[cpv(0,0), cpv(7.999,0)],
		[cpv(7.999,0), cpv(7.999,5.999)],
		[cpv(7.999,5.999), cpv(0,5.999)],
		[cpv(0,5.999), cpv(0,0)],
		[cpv(0,1), cpv(3,1)],
		[cpv(1,2), cpv(4,2)],
		[cpv(0,3), cpv(3,3)],
		[cpv(1,4), cpv(4,4)],
		[cpv(4,0), cpv(4,5)],
		[cpv(4,5), cpv(7,5)],
		[cpv(4,4), cpv(6,4)],
		[cpv(5,3), cpv(7,3)],
		[cpv(4,2), cpv(6,2)],
		[cpv(5,1), cpv(7,1)],
		[cpv(7,1), cpv(7,5)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(0.5, 0.5)*Scale
	End = cpv(4.5, 4.5)*Scale
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*Scale}
			Segment.new(a, b, 1, 1)
		end
	end
end

module Level2
	Scale = 80
	Segs = [
		[cpv(7.999,0), cpv(7.999,5.999)],
		[cpv(7.999,5.999), cpv(0,5.999)],
		[cpv(0,6), cpv(0,0)],
		[cpv(0,1), cpv(4,1)],
		[cpv(4,1), cpv(5,0)],
		[cpv(2,3), cpv(4,3)],
		[cpv(4,5), cpv(5,5)],
		[cpv(5,6), cpv(5,2)],
		[cpv(6,1), cpv(8,1)],
		[cpv(7,5), cpv(8,5)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(7.5, 5.5)*Scale
	End = cpv(4.5, 5.5)*Scale
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*Scale}
			Segment.new(a, b, 1, 1)
		end
	end
end

module Level3
	Scale = 80
	Segs = [
		[cpv(7.999,0), cpv(7.999,5.999)],
		[cpv(7.999,5.999), cpv(0,5.999)],
		[cpv(0,6), cpv(0,0)],
		[cpv(0,1), cpv(2,1)],
		[cpv(2.5,2), cpv(2.5,3)],
		[cpv(2.5,3), cpv(5,0.5)],
		[cpv(5,2), cpv(6.5,2)],
		[cpv(6.5,2), cpv(7.5,3)],
		[cpv(7,4), cpv(8,4)],
		[cpv(5,5), cpv(5,6)],
		[cpv(5,5), cpv(6,5)],
		[cpv(4,3), cpv(5,5)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(0.5, 1.5)*Scale
	End = cpv(5.5, 5.5)*Scale
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*Scale}
			Segment.new(a, b, 1, 1)
		end
	end
end

module Level4
	Scale = 80
	Segs = [
		[cpv(7.999,0), cpv(7.999,5.999)],
		[cpv(7.999,5.999), cpv(0,5.999)],
		[cpv(0,6), cpv(0,0)],
		[cpv(0,1), cpv(2,1)],
		[cpv(4,1), cpv(5,1)],
		[cpv(7,3), cpv(8,3)],
		[cpv(0,4), cpv(4,4)],
		[cpv(4,4), cpv(4,5)],
		[cpv(3,5), cpv(5,5)],
		[cpv(5,5), cpv(5.5,4.5)],
		[cpv(1,5), cpv(2,5)],
		[cpv(2,5), cpv(2,6)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(0.5, 1.5)*Scale
	End = cpv(1.5, 5.5)*Scale
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*Scale}
			Segment.new(a, b, 1, 1)
		end
	end
end

module Level5                   
	Scale = 80
	Segs = [
		[cpv(7.999,0), cpv(7.999,5.999)],
		[cpv(7.999,5.999), cpv(0,5.999)],
		[cpv(0,6), cpv(0,0)],
		[cpv(2.25,0), cpv(2.75,0)],
		[cpv(1,0), cpv(0.5,0.5)],
		[cpv(2,2.5), cpv(3,2.5)],
		[cpv(0,4), cpv(1,4)],
		[cpv(1,5), cpv(3,5)],
		[cpv(3,0), cpv(3,5)],
		[cpv(3,5), cpv(5,3)],
		[cpv(3,2), cpv(4,2)],
		[cpv(6,2), cpv(7,2)],
		[cpv(4,0.5), cpv(5,0.5)],
		[cpv(3,3), cpv(5,3)],
		[cpv(0,0.5), cpv(0.5,0.5)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(2.5, 0.5)*Scale
	End = cpv(3.5, 2.5)*Scale
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*Scale}
			Segment.new(a, b, 1, 1)
		end
	end
end

module Level6              
	Scale = 40
	Segs = [
		[cpv(15.99,0), cpv(15.99,11.99)],
		[cpv(15.99,11.99), cpv(0,11.99)],
		[cpv(0,12), cpv(0,0)],
		[cpv(0,1), cpv(1,1)],
		[cpv(6,1), cpv(7,1)],
		[cpv(11,1), cpv(12,1)],
		[cpv(14,3), cpv(15,3)],
		[cpv(13,5), cpv(12,5)],
		[cpv(9,5), cpv(8,5)],
		[cpv(1,6), cpv(2,6)],
		[cpv(4,8), cpv(5,8)],
		[cpv(9,8), cpv(10,8)],
		[cpv(13,9), cpv(14,9)],
		[cpv(11,11), cpv(10,11)],
		[cpv(9,11), cpv(8,11)],
		[cpv(7.5,11), cpv(6.5,11)],
		[cpv(6,11), cpv(5,11)],
		[cpv(4.5,11), cpv(3.5,11)],
		[cpv(3,11), cpv(2,11)],
		[cpv(0,11), cpv(1,11)],
		[cpv(1,11), cpv(1.25,10.75)],
		[cpv(0,5), cpv(1,6)],
#		[cpv(), cpv()],
	]
	
	Start = cpv(0.5, 1.5)*80
	End = cpv(0.5, 11.5)*80
	
	def self.get_segs
		Segs.collect do|seg|
			a, b = seg.collect{|v| v*80}
			Segment.new(a, b, 1, 1)
		end
	end
end

Levels = [
	Level1,
	Level2,
	Level3,
	Level4,
	Level5,
	Level6
]