ALUT.Init([])

#AL.Listenerfv(AL::POSITION, [0,0,0])
#AL.Listenerfv(AL::VELOCITY, [0,0,0])
AL.Listenerfv(AL::ORIENTATION, [0,1,0,0,0,1])

class AS::Sound
	def initialize(filename)
		wav = ALUT.LoadWAVFile(filename)
		@buff = AL.GenBuffers(1)[0]
		AL.BufferData(@buff, wav[:format], wav[:data], wav[:size], wav[:freq])
	end
	attr_reader :buff
end

class AS::Player
	def initialize(sound, loop = false)
		@source = AL.GenSources(1)[0]
		AL.Sourcei(@source, AL::LOOPING, AL::TRUE) if loop
		AL.Sourcei(@source, AL::BUFFER, sound.buff);
	end

	def play
		AL.SourcePlay(@source)
	end
	
	def volume=(v)
		AL.Sourcef(@source, AL::GAIN, v)
	end
end