CP.init(60, cpv(0,-100), 0.0, 0)

require('classes.rb')

AS.alpha_blend_mode

Levels.each do|level|
	state = State.new(level)
	begin
		case state.run
		when :exit then exit
		when :next then next
		when :redo then redo
		end
	rescue
		puts
		puts $!
		puts $!.backtrace.join("\n")
		
		if $lastEx and Time.now - $lastEx < 1
			puts 'Two exceptions in a second, exiting'
			exit
		end
		
		$lastEx = Time.now
	end
end

sleep 2